petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPChebyshevEstEigSet

Automatically estimate the eigenvalues to use for Chebyshev

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPChebyshevEstEigSet(KSP ksp,PetscReal a,PetscReal b,PetscReal c,PetscReal d)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| a | - multiple of min eigenvalue estimate to use for min Chebyshev bound (or PETSC_DECIDE)
| b | - multiple of max eigenvalue estimate to use for min Chebyshev bound (or PETSC_DECIDE)
| c | - multiple of min eigenvalue estimate to use for max Chebyshev bound (or PETSC_DECIDE)
| d | - multiple of max eigenvalue estimate to use for max Chebyshev bound (or PETSC_DECIDE)

### Options Database

-ksp_chebyshev_esteig a,b,c,d - Notes: The Chebyshev bounds are set using

       minbound = a*minest + b*maxest
       maxbound = c*minest + d*maxest

The default configuration targets the upper part of the spectrum for use as a multigrid smoother, so only the maximum eigenvalue estimate is used. The minimum eigenvalue estimate obtained by Krylov iteration is typically not accurate until the method has converged.

If 0.0 is passed for all transform arguments (a,b,c,d), eigenvalue estimation is disabled.

The default transform is (0,0.1; 0,1.1) which targets the "upper" part of the spectrum, as desirable for use with multigrid.

The eigenvalues are estimated using the Lanczo (KSPCG) or Arnoldi (KSPGMRES) process using a random right hand side vector.

### Keywords

KSP, Chebyshev, set, eigenvalues, PCMG

Level:intermediate
Location:src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages